:root {
    --text: #002233;
    --accent1: #DDFF55;
    --accent1-dark: #b8d900;
    --accent2: #C0D6EA;
    --accent2-dark: #11425D;
    --bg: #C0D6EA;
    --bg-light: #F6F2E8;

    --margin-outside: 1rem;
    --margin-bottom: 3rem;

    @media screen and (min-width: 850px) {
        --margin-outside: 4rem;
        --margin-bottom: 6rem;
    }

    --max-width: 80rem
}

body {
    font-family: "PT Sans", sans-serif;
    color: var(--text);
    background-color: var(--bg);
}

.button {
    font-size: 1.25rem;
    text-decoration: none;
    border: var(--text) 1px solid;
    border-radius: .5rem;
    padding: .5rem 1.5rem;
    background-color: var(--accent2);
    font-weight: bold;
}

html {
    @media screen and (min-width: 1100px) {
        font-size: 1.1rem;
        
    }

    @media screen and (min-width: 1200px) {
        font-size: 1.2rem;    
    }
}

.site-header {
    position: relative;
   margin-top: 1rem;
   margin-bottom: var(--margin-bottom);
   margin-left: var(--margin-outside);
   margin-right: var(--margin-outside);

   @media screen and (min-width: 850px) {
        display: grid;
        grid-template-columns: 1fr auto;
        margin-top: 3rem;
        max-width: var(--max-width);
        margin-left: auto;
        margin-right: auto;
        padding-left: var(--margin-outside);
        padding-right: var(--margin-outside);
    }
}

.site-logo {
    font-size: 1.875rem;
    font-family: "Changa One", cursive;
}

.site-nav {
    margin-top: 2rem;

    @media  screen and (min-width: 850px) {
        margin-top: 0;
    }

}

.site-nav__links {

    @media  screen and (min-width: 850px) {
        display:flex;
    }

    li {
        margin-bottom: .5rem;
    }

    a {
        font-size: 1.125rem;
        text-decoration: none;
        border: var(--text) 1px solid;
        border-radius: .5rem;
        padding: .5rem;
        text-align: center;
        display: block;

        @media screen and (min-width: 850px) {
            border-radius: 0;
            padding-left: 1rem;
            padding-right: 1rem;
            border-right-width: 0;
        }
    }

    li:first-child a {
        border-top-left-radius: .5rem;
        border-bottom-left-radius: .5rem;
    }

    li:last-child a {
        border-top-right-radius: .5rem;
        border-bottom-right-radius: .5rem;
        border-right-width: 1px;
    }

    .active {
        background-color: var(--accent1);
        font-weight: bold;
    }
}

.site-nav__links {
    display: none;
}

.show-menu .site-nav__links {
    display: block;
}

@media screen and (min-width: 850px) {
    .site-nav__links {
        display: flex !important;
    }
}

.site-nav__button {
    position: absolute;
    top: -.25rem;
    right: 0;
    border: var(--text) 1px solid;
    border-radius: .5rem;
    padding: .75rem;

    @media screen and (min-width: 850px) {
        display: none;
    }

    svg {
        display: block;
    }
}

.button:hover {
    background-color: var(--accent2-dark);
    transition: background-color 0.2s ease;
}

.site-nav__links a:hover {
    background-color: var(--accent1);
    transition: background-color 0.2s ease;
}

.site-nav__button:hover {
    background-color: var(--accent2);
    transition: background-color 0.2s ease;
}

.card__link:hover {
    background-color: var(--accent2);
    border-radius: .5rem;
    transition: background-color 0.2s ease;
}

.card__link:hover .card__image {
    background-color: var(--accent2-dark);
    transition: background-color 0.2s ease;
}

.wrapper {
    @media screen and (min-width: 850px) {
        max-width: var(--max-width);
        margin-left: auto;
        margin-right: auto;
    }
}

.hero {
    background: linear-gradient(-45deg, var(--accent2), var(--accent2-dark));
    padding: 1rem 1rem 0;
    margin-bottom: var(--margin-bottom);

    @media screen and (min-width: 850px) {
        display: grid;
        grid-template-columns: 1fr 1fr;
        align-items: center;
        margin-left: var(--margin-outside);
        margin-right: var(--margin-outside);
        border-radius: 1rem;
        padding-top: 2.5rem;
    }
}

.hero__header {
    font-size: 3rem;
    font-family: "Changa One", cursive;
    margin-bottom: 2rem;
    text-align: center;
    line-height: 1;
    letter-spacing: -0.09rem;

    @media screen and (min-width: 850px) {
        order: 100;
        font-size: 5rem;
        text-align: left;
    }

    em {
        font-style: normal;
        color: var(--bg)
    }
}

.hero__image {
    width: 100%;
    display: block;
    max-width: 25rem;
    margin-left: auto;
    margin-right: auto;

    @media screen and (min-width: 850px) {
            margin: 0;
            justify-self: right;
    }
}

.quote {
   margin-bottom: var(--margin-bottom);
   margin-left: var(--margin-outside);
   margin-right: var(--margin-outside);
    text-align: center;
}

.quote__text {
    font-size: 1.5rem;

    @media screen and (min-width: 850px) {
        font-size: 1.75rem;
        min-width: 40ch;
        margin-left: auto;
        margin-right: auto;
    }
}

.quote__attribution {
    margin-top: .5rem;
    font-size: 1.25rem;

    @media screen and (min-width: 850px) {
        font-size: 1.5rem;
    }
}

.cards {
    margin-bottom: var(--margin-bottom);
   margin-left: var(--margin-outside);
   margin-right: var(--margin-outside);
}

.cards__header {
    font-size: 1.5rem;
    margin-bottom: 2rem;
    text-transform: uppercase;
    text-align: center;
    font-weight: bold;
    color: var(--accent1-dark);
}

.cards__wrapper {
    display: grid;
    gap: 2rem;

    @media screen and (min-width: 850px) {
        grid-template-columns: repeat(3, 1fr);
        gap: 3rem;
    }
}

.card {
    background-color: var(--bg-light);
    border-radius: .5rem;
    box-shadow: 4px 4px 16px 0px rgba(30, 37, 52, 0.10);
    margin-bottom: 2rem;
}

.card:has(.card__link:hover) {
    background-color: var(--accent1);
    transition: background-color 0.2s ease;
}

.card__link:hover {
    background-color: transparent;
    transition: background-color 0.2s ease;
}

.card__link:hover .card__image {
    background-color: var(--accent2-dark);
    transition: background-color 0.2s ease;
}

.card__link {
    padding: 1rem;
    text-decoration: none;
    text-align: center;
    display: block;
}

.card__image {
    background-color: var(--accent1);
    width: 10rem;
    height: 10rem;
    border-radius: 50%;
    padding: 1.5rem;
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 1.5rem;

    img {
        width: 100%;
        mix-blend-mode: multiply;
    }
}

.card__header {
    font-size: 1.25rem;
    margin-bottom: .5rem;
    text-transform: uppercase;
    font-weight: bold;
}

.card__text {
    line-height: 1.35;
}

.mailing-list {
    margin-bottom: var(--margin-bottom);
   margin-left: var(--margin-outside);
   margin-right: var(--margin-outside);
    text-align: center;
}

.site-footer {
    background-color: var(--text);
    color: var(--bg);

    p {
        padding: 3rem var(--margin-outside);
        
        @media screen and (min-width: 850px) {
            min-width: var(--max-width);
            margin-left: auto;
            margin-right: auto;
        }
    }
}